Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries
[Java] Interface ToolChainRegistry

    org.gradle.api.NamedDomainObjectSet
      org.gradle.api.PolymorphicDomainObjectContainer
          org.gradle.api.ExtensiblePolymorphicDomainObjectContainer
              java.lang.Iterable
                  org.gradle.api.NamedDomainObjectCollection
                      org.gradle.api.DomainObjectCollection
                          org.gradle.util.Configurable
                              java.util.Collection
                                  org.gradle.api.NamedDomainObjectContainer
                                      org.gradle.nativebinaries.ToolChainRegistry

All Superinterfaces:
  NamedDomainObjectSet, PolymorphicDomainObjectContainer, ExtensiblePolymorphicDomainObjectContainer, Iterable, NamedDomainObjectCollection, DomainObjectCollection, Configurable, Collection, NamedDomainObjectContainer

    @Incubating
    public interface ToolChainRegistry
    extends ExtensiblePolymorphicDomainObjectContainer

A container for ToolChains.

Method Summary

Methods inherited from interface ExtensiblePolymorphicDomainObjectContainer
registerBinding, registerFactory, registerFactory

Methods inherited from interface PolymorphicDomainObjectContainer
create, create

Methods inherited from interface NamedDomainObjectContainer
configure, create, create, create, maybeCreate

Methods inherited from interface NamedDomainObjectSet
findAll, matching, matching, withType

Gradle API 1.10